/*
Theme Name: Beaver Builder Child Theme
Theme URI: https://www.wpbeaverbuilder.com
Version: 2.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: https://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here...Remember to change the Version number above! */ 
/* controls styling for the request API button on the customer portal page */
#notificationContainer {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
}

.notification {
    padding: 15px;
    margin-bottom: 10px;
    background-color: #4CAF50; /* Green background for success */
    color: white;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.2);
    opacity: 0;
    transition: opacity 0.5s ease-out;
}

.notification.show {
    opacity: 1;
}

/* Optional: style for the disabled button */
button:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}

/* adjust woo address overlap */
#fl-main-content .woocommerce-Addresses .woocommerce-Address header {
    display: flex;
    flex-direction: column;
    position: relative;
    min-height: 80px;
}

#fl-main-content .woocommerce-Addresses .woocommerce-Address header a.edit {
    position: static;
    display: inline-block;
    margin-top: 5px;
    order: 2;
}

#fl-main-content .woocommerce-Addresses .woocommerce-Address header h3 {
    order: 1;
}